Subject: Re: how to pass ssh options to git?

From: Nicolas Vilz 'niv' <[email-masked]>
Date: Thu, 02 Nov 2006 12:18:48 +0100

Michael S. Tsirkin wrote:
> Quoting r. Matthieu Moy <[email-masked]>:
>> Subject: Re: how to pass ssh options to git?
>>
>> "Michael S. Tsirkin" <[email-masked]> writes:
>>
>>> How is it possible to pass ssh options to git?
>>> for example, I use these options to log into some machine:
>>> ssh -i <private> -o HostKeyAlias=<alias> -p <port> -l <user> <address>
>> Not answering the question, but this can go to ~/.ssh/config :
>>
>> Host *.domain.net
>> User some_user
>> IdentityFile ~/.ssh/foobar
>>
> 
> I know, problem is I want to use different options at different times.
> I could use -F configfile ssh option, but how to pass *that* to git?

you can setup different host-entries as kind of virtual hosts in your 
hosts-section. that is what i do

host blah1.domain.net
hostname www.domain.net
user blah1
IdentityFile .ssh/blah
Port 523434

host blah2.domain.net
hostname www.domain.net
user blah1
IdentityFile .ssh/blah
Port 22

The first host-section i use in an environment, where i cannot get 
through port 22.

Sincerly